Subject: problems installing with cumana scsi 2 cdrom

From: Roland Gröpmair <[email-masked]>
Date: Tue, 20 Apr 1999 21:03:58 +0200

Hy freaks,

I'm sure you can help me with this problem: I have an 2 GB IDE HD and the
partitioning is fine (1GB RISC OS, rest LINUX). But the kernel does not
accept my cumana scsi 2 controller, although it is on the list of supported
hardware.

I triedd the kernel 2.0.36. It says on booting:
  probing exp. cards
  0: [003A:003A] SCSI-2 & CDFS Expansion Card    <-- so the card is active
  ...
  scsi: 0 hosts                     <- but why this?
  scsi: detected total

*devices says:
007   Host   CUMANA   SCSI Interface 2.04

*scsiflags
007    T R ~P ~F
...

Does anyone own a Cumana SCSI 2 with ArmLinux?

Thanks, Roland

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Tue, 20 Apr 1999 20:26:56 +0100 (BST)

>   0: [003A:003A] SCSI-2 & CDFS Expansion Card    <-- so the card is active

This does not imply that the kernel contains support for the card.  It merely
is telling you the order of the cards in your system.

You need to load the 'cumana2_mod' kernel module after the kernel is running
to be able to use the card.

There are, however, methods available to allow you to boot your kernel and
have the root filesystem on your SCSI card, but it's very complicated to
explain how to do it.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]